summaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
Diffstat (limited to 'build')
-rwxr-xr-xbuild8
1 files changed, 8 insertions, 0 deletions
diff --git a/build b/build
new file mode 100755
index 0000000..7b227c4
--- /dev/null
+++ b/build
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -eu
+
+[ -d "$1" ] || (echo "package $1 not found" >&2; exit 1)
+
+[ -f "$1/Makefile" ] && (cd "$1" && make -s build)
+
+true